variables:
  DOCKER_IMAGE: ${CI_REGISTRY_IMAGE}/renovate:latest
  DOCKER_VERSION: '20.10.9'

.docker_in_docker:
  services:
    - docker:${DOCKER_VERSION}-dind
  variables:
    DOCKER_DRIVER: overlay2
    DOCKER_HOST: tcp://docker:2376
    DOCKER_TLS_VERIFY: 1
    DOCKER_TLS_CERTDIR: '/certs'
    DOCKER_CERT_PATH: '/certs/client'
  tags:
    - gitlab-org-docker

build:
  extends:
    - .docker_in_docker
  image: docker:${DOCKER_VERSION}
  script:
    - docker build -t ${DOCKER_IMAGE} .
    - echo ${CI_REGISTRY_PASSWORD} | docker login ${CI_REGISTRY} -u ${CI_REGISTRY_USER} --password-stdin
    - docker push ${DOCKER_IMAGE}
